Joomla 3.2 моя печаль

С каждым крупным обновлением Joomla линейки 3.x моя печаль все усиливается... Хочется залить ее крепким алкоголем, но к сожалению тогда опечалится моя печень, а вылечить ее уже не получится, так как алкоголя потребуется очень много. Это конечно лирика, но очень четко отображает реальную суть вещей. В этом посте я не буду рассказывать о нововведениях, а расскажу о проблемах нового релиза Joomla 3.2. Если вы хотите с 3.1.5, то этого делать не стоит подождите апдейта 3.2.1, иначе вы рискуете сломать свой сайт.

Создатели напичкали новую версию бесполезными функциями, которые стоит перечислить:

  1. Фреймворки от компонентописателей.
  2. Редактирование шаблона из админки.
  3. Двухфакторная аутентификация.
  4. Система контроля версий контента.

Может быть кто-то скажет о это же удобно. А я вам скажу, что большая часть функций во первых не удобна, а во вторых в реальных условиях уже бесполезна. Если вы сможете привести аргументы в пользу этих нововведений и будете пользоваться ими прощу писать в комментарии.

Разработчики так же исправили 375 багов с момента выхода 3.1.5 только к сожалению сломали почти все популярные расширения и шаблоны, которые есть для Joomla.

Теперь внимательно мотаем на ус... какие расширения почти гарантированно будут не совместимы с Joomla 3.2.

  • Сторонние компоненты SEF (Atrio, Sef404 уже попали в этот список).
  • Всевозможные оптимизаторы производительности Joomla.
  • Расширения использующие фремвоки свои, гарантировано попал в них NoNumber.
  • Под подозрение попали многие системные плагины.
  • Почти ни один популярный фреймворк шаблонов не будет работать на Joomla 3.2 и следовательно все коммерческие шаблоны тоже работать не будут.

То есть среднестатистический сайт на Joomla 3.1.5 после перехода на Joomla 3.2 перестанет работать.

Теперь о других проблемах которые преследуют пользователей Joomla 3.2.

  • Авторизация и регистрация пользователей не работает - решение уже есть на форумах, но реально допустить такой глюк при выпуске новой версии это феноменально.
  • Ну и конечно рекомендую почитать список обновляемых багов и их решения на форуме.

Удачи вам ) не спешите обновляться до Joomla 3.2. В комментариях посоветовали обновляться до Joomla 3.1.6, так как найти эту версию с официального сайта Joomla не так просто, по этому привожу ссылку.

 

Добавить комментарий

Защитный код

Комментарии

Deos
+2

Deos

И ещё ввели bcrypt, который стал основной причиной того, что платные дополнения к Joomla перестали работать. Эти дополнения универсальные личные кабинеты, стоимость, которых бывает порядком выше стоимости IPB и прочих CMS.
Вадим

Вадим

Ну это должны от части были починить в Joomla 3.2. Вообще Joomla 3.2 я считаю, выпуском не в интересах пользователей Joomla, а выпуск в интересах узкой группы разработчиков расширений. По сути для пользователей пользы мало, а вот эго некоторых разработчиков потешили.
 Sulpher
+1

Sulpher

Вадим, все правильно написал. Но только пара моментов: большая часть разработчиков кинулась выпускать обновления. Например, Gantry вышел через пару дней обновленный, YOOtheme выпустили апдейты расширений и т.п. А вот версионность на фиг не нужна, лучше бы CCK прикрутили. И, конечно, нерешенная проблема с canonical - очень и очень большой минус.
Вадим
+1

Вадим

То что разработчики кинулись выпускать расширения это конечно хорошо, но реально на мой взгляд тут больше не проблема разработчиков сторонних расширений а проблема разработчиков самой Joomla. Собственно, что я предрекал в одной из своих статей, то и произошло. Обидно, что разработчики Joomla не спешат признавать свои баги и выпускать обновление.
Иван
+1

Иван

Ух, ты! Сам Viktor Vogel Кубик-Рубик отметился. Я только вчера у него easycalccheck-p lus для joomla 3 взял
Viktor

Viktor

:-)

Sorry for answering in English.I can read Russian but do not write good enough...

Yes, Vio Cassel shared this article in Google Plus. So, I stumbled over it.

I wish you success with my Joomla! Extensions! ;-)
Vio Cassel
+3

Vio Cassel

Хм... Фреймворки шаблонов (Gantry, T3v3, Helix и т.д.) работают стабильно.

А то, что в Joomla! 3.2 напихали не нужные "фишки" - это факт. С авторизацией в J!3.2 жесткий косяк вышел.

Мне кажется, она идет ко дну... медленно, но верно.
Вадим

Вадим

warp рушится это точно несколько крахов наблюдал)) Gantry старые версии (у тех у кого нет обновления тоже рушится).
На мой взгляд тут больше проблема просчета... они Joomla 3.1 объявили стабильной версией. Однако ни 3.1 ни 3.2 таковой не являются. Собственно из-за этого куча проблем, народ думает, что Joomla стабильна и ставит и обновляется на нее. А она совсем не стабильна.
А по сути у них еще есть жесткий косяк это canonical который идет еще с релиза первой Joomla 3.
Viktor
+1

Viktor

Good posting, but you should advice your readers to update at least to Joomla! 3.1.6 due to security reasons.

Greetings from Germany
Viktor
Kubik-Rubik Joomla! Extensions